OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollableVisitorAdaptor

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollableVisitorAdaptor

All Implemented Interfaces:
  PollableVisitor

Direct Known Subclasses:
  PollableNetwork.DumpVisitor, PollablesTest.InitCause, Poller.InitCause

public class PollableVisitorAdaptor
extends java.lang.Object
implements PollableVisitor

Represents a PollableVisitorAdaptor

Author:
  brozow

Constructor Summary
`PollableVisitorAdaptor()`

Method Summary
`void` `visitContainer(PollableContainer container)`
`void` `visitElement(PollableElement element)`
`void` `visitInterface(PollableInterface interface1)`
`void` `visitNetwork(PollableNetwork network)`
`void` `visitNode(PollableNode node)`
`void` `visitService(PollableService service)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PollableVisitorAdaptor

    public PollableVisitorAdaptor()

Method Detail

### visitService

    public void visitService(PollableService service)

  Specified by:
    `visitService` in interface `PollableVisitor`
  Parameters:
    `service` -

### visitInterface

    public void visitInterface(PollableInterface interface1)

  Specified by:
    `visitInterface` in interface `PollableVisitor`
  Parameters:
    `interface1` -

### visitNode

    public void visitNode(PollableNode node)

  Specified by:
    `visitNode` in interface `PollableVisitor`
  Parameters:
    `node` -

### visitNetwork

    public void visitNetwork(PollableNetwork network)

  Specified by:
    `visitNetwork` in interface `PollableVisitor`
  Parameters:
    `network` -

### visitContainer

    public void visitContainer(PollableContainer container)

  Specified by:
    `visitContainer` in interface `PollableVisitor`
  Parameters:
    `container` -

### visitElement

    public void visitElement(PollableElement element)

  Specified by:
    `visitElement` in interface `PollableVisitor`
  Parameters:
    `element` -

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.